using Godot;

public class Wild : TileType, IDamageable
{
    [Export]
    public float HealRate { get; private set; } = 0.01f;

    [Export]
    public float Threshold { get; private set; }

    public override Tile ApplySpawneffect(Tile tile)
    {
        tile.currentHealth = 0;
        return tile;
    }
}